import QtQuick 2.0
import org.ukui.appwidget.private 1.0 as UKUIAppWidget

Item {
    id:controlroot
    UKUIAppWidget.Connection {
        id:appwidget
    }
    signal qmldefineeventchangedsignal(string eventname, string widgetname, var value);
    signal qmlclickedsignal(string widgetname, var value);
    signal update();
    property string appname
    property string username
    property var datavalue
    Component.onCompleted: {
        appwidget.updatesignal.connect(controlroot.qmlUpdate)
        qmlclickedsignal.connect(appwidget.onClickedEvent)
        qmldefineeventchangedsignal.connect(appwidget.onDefineEvent)
    }
    function qmlUpdate() {
        datavalue = appwidget.getData();
        update();
    }
    function register(appname, username)
    {
        appwidget.registerDbus(appname, username);
        console.log(" QML AppWidget register dbus");
    }
}
